/* $Id: Tcl.xs,v 1.5 2004/10/09 19:58:49 jfontain Exp $ */

#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
/* use external interface functions to avoid any Tcl dependency here */
extern int tclEvaluate(char *, char *, char **, int *);

MODULE = Tcl PACKAGE = Tcl
PROTOTYPES: ENABLE

SV *
eval(interpreter, script)
        SV *interpreter;
        char *script;
    CODE:
        STRLEN length;
        char *result;
        /* interpreter references an interpreter name: */
        /* "tclN" (N = 0 for parent interpreter)       */
        if (
            !tclEvaluate(
                SvPV(SvRV(interpreter), length), script, &result, &length
            )
        ) {
            croak(result);
        }
        if (result == 0) {               /* happens when called from a thread */
            XSRETURN_UNDEF;
        }
        RETVAL = newSVpv(result, length);
    OUTPUT:
        RETVAL
