#!/bin/sh

# $Id: build.sh,v 1.3 2006/02/26 18:57:39 jfontain Exp $


perl Makefile.PL &&\
make OPTIMIZE='-s -pipe -fPIC -O2 -Wall' -f Makefile Tcl.o &&\

# Linux:
# cc -shared -o tclperl.so.3.2 -s -pipe -fPIC -O2 -Wall tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` Tcl.o
# with Tcl stubs enabled:
cc -shared -o tclperl.so.3.2 -s -pipe -fPIC -O2 -Wall -DUSE_TCL_STUBS tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` /usr/lib/libtclstub`echo 'puts $tcl_version' | tclsh`.a Tcl.o

# Solaris:
# cc -shared -mimpure-text -o tclperl.so.3.2 -s -fPIC -O2 -Wall tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` Tcl.o
