# $Id: tcl.pl,v 1.1 2004/09/27 19:53:12 jfontain Exp $

# development version of Tcl class initialization code, to be manually embedded
# in tclperl.c when debugged


{
    package Tcl;
    our $parent;                                     # parent is always number 0
    sub new($$) {       # in case of several interpreters (in a future release?)
        if (defined($parent)) {
            die('fatal error: only 1 Tcl interpreter can exist at a time');
        }
        my $class = shift;                                                 # Tcl
        my $number = shift;
        my $interpreter = 'tcl' . $number;                                # tclN
        return bless(\$interpreter, $class);
    }
    # for testing in Perl only:
    # sub eval($$) {my ($self, $script) = @_; print("$$self eval '$script'\n");}
}
$Tcl::parent = Tcl->new(0);
