# $Id: tclperl.spec,v 1.17 2006/02/26 18:57:39 jfontain Exp $


Summary: Embedded Perl interpreters package for Tcl
Name: tclperl
Version: 3.2
Release: 1%{?dist}
Epoch: 0
License: GPL
Group: Development/Languages
Source: http://jfontain.free.fr/tclperl-3.2.tar.bz2
URL: http://jfontain.free.fr/
Packager: Jean-Luc Fontaine <jfontain@free.fr>
Requires: tcl >= 0:8.3.3, perl >= 0:5.6
BuildRequires: %_includedir/tcl.h, perl >= 0:5.6
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)

%description
Allows the execution of Perl code from a Tcl interpreter, by creating
one or more embedded Perl interpreters from the Tcl interpreter.

%prep

%setup -q

%build
%_bindir/perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS" Tcl.o
cc -shared $RPM_OPT_FLAGS -o %name.so.%version -fPIC -DUSE_TCL_STUBS tclperl.c tclthread.c `%_bindir/perl -MExtUtils::Embed -e ccopts -e ldopts` /usr/lib/libtclstub`echo 'puts $tcl_version' | %_bindir/tclsh`.a Tcl.o

%install
DIRECTORY=$RPM_BUILD_ROOT%_libdir/%name-%version
mkdir -p $DIRECTORY
echo 'package ifneeded tclperl %version "load [file join $dir tclperl.so.%version]"' > $DIRECTORY/pkgIndex.tcl
cp -p %name.so.%version $DIRECTORY

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES %name.htm
%_libdir/%name-%version


%changelog

* Sun Feb 26 2006 Jean-Luc Fontaine <jfontain@free.fr> 0:3.2-1
- upstream 3.2 release

* Sat Oct 9 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:3.1-0.fdr.1
- 3.1 release with Perl threads support

* Mon Sep 27 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:3.0-0.fdr.1
- 3.0 release with Tcl interpreter access from Perl side

* Tue Dec 24 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.5-0.fdr.1
- first Fedora Core 1 compatible package
